# 环境配置
server:
  port: 9001
  servlet:
    context-path: /proxy/xintianlong

# condition
spel:
  scheduling: false       # 定时任务是否执行
  multiSource: false      # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: cp-root@2022++
    url: jdbc:mysql://47.97.181.40:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect
  # MongoDB配置
  data:
    mongodb:
      uri: mongodb://tbread:Teambition999@192.168.31.201:27017/teambition   # 固定格式 [连接成功后, 需要为 teambition 库添加 admin 权限才可查询]

# dingtalk
dingtalk:
  agentId: 2533464721
  appKey: dingromjxexd1esgvwwg
  appSecret: AcStrL5bdw69gqeUfTQiFoBsgqisL2g-egzaKyID9Q7d85f_z9EkuTSS9Vse6zDb
  corpId: ding5e83ad92d917b47535c2f4657eb6378f
  aesKey: NgBOhTTp38RmPYs3gz7xBRHGNhwLHAv3tZntZ6He54F
  token: yLQuiiYIBvrzN3tmOduDn

# aliwork
aliwork:
  appType: APP_IW1FN8PPGGYQBWVMXS69
  systemToken: UT866MB1WGX8VU029U93IA9DIKEG2GE9UU7FLI5
